Name:           python-designate-tempest-plugin
Version:        0.24.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        OpenStack DNS As A Service (Designate) Functional Tests

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://docs.openstack.org/designate-tempest-plugin/latest/
Source:         %{pypi_source designate_tempest_plugin}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'designate-tempest-plugin' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-designate-tempest-plugin
Summary:        %{summary}

%description -n python3-designate-tempest-plugin %_description


%prep
%autosetup -p1 -n designate_tempest_plugin-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-designate-tempest-plugin -f %{pyproject_files}


%changelog
%autochangelog